package de.duehl.swing.ui.selector;

/*
 * Copyright 2016 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

public class StartPoint {

    private final String description;
    private final Runnable runnable;

    public StartPoint(String description, Runnable runnable) {
        this.description = description;
        this.runnable = runnable;
    }

    public String getDescription() {
        return description;
    }
    public Runnable getRunnable() {
        return runnable;
    }

}
